### Signal

# Gdk Surface::layout

#### Declaration

    void
    layout (
      GdkSurface self,
      gint width,
      gint height,
      gpointer user_data
    )

#### Description [src]

Emitted when the size of `surface` is changed, or when relayout should be performed.

Surface size is reported in ”application pixels”, not ”device pixels” (see gdk_surface_get_scale_factor()).

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`width` | `gint`
| The current width.
`height` | `gint`
| The current height.